Debian Bug report logs - #601235
xinit clashes with displaymanagers when using persistency

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: "David A. Bandel" <david@pananix.com>

Date: Sun, 24 Oct 2010 14:15:01 UTC

Severity: normal

Found in version live-config/2.0.8-1

Fixed in versions live-config/2.0.10-1, live-config/3.0~a11-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#601235; Package live-config. (Sun, 24 Oct 2010 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David A. Bandel" <david@pananix.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Oct 2010 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "David A. Bandel" <david@pananix.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: 012-xinit script clash with display manager
Date: Sun, 24 Oct 2010 09:03:04 -0500
Package: live-config
Version: 2.0.8-1
Severity: important


When live-snapshot is used, and live-sn.cpio,gz is created, live-config installs the shell script from /lib/live/config/012-xinit on the system.  If any display manager has been spawned during bootup, 012-xinit spawns a runaway script that:
1.  spikes CPU usage (due to spawning of hundreds of instances of startx)
2.  disables the display by alteringspikes CPU usage (due to spawning of hundreds of instances of startx)
2.  disables the display by altering xauth

suggest:
1. removal of 012-xinit as unnecessary
2. changing 012-xinit:

currently:
if [ -z "\${DISPLAY}" ] && [ \$(tty) = /dev/tty1 ]
then
	while true
	do
		startx
	done
fi

suggest changing to:
if [ -s /etc/X11/default-display-manager ]
then
	if [ ! "$(pidof $(cat /etc/X11/default-display-manager)" ]
		then
			startx
	fi
	else
			startx
fi

--end

this eliminates the while loop, preventing thousands of startx processes from being spawned, and adds a check for a currently running display manager to prevent the behavior seen in this bug report


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (999, 'testing'), (900, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-config depends on:
pn  live-config-sysvinit | live-c <none>     (no description available)

Versions of packages live-config recommends:
ii  sudo                          1.7.4p4-2  Provide limited super user privile
ii  user-setup                    1.34       Set up initial user and password

Versions of packages live-config suggests:
ii  wget                          1.12-2.1   retrieves files from the web




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#601235; Package live-config. (Sun, 24 Oct 2010 15:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Oct 2010 15:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 601235@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "David A. Bandel" <david@pananix.com>
Cc: 601235@bugs.debian.org
Subject: Re: Bug#601235: live-config: 012-xinit script clash with display manager
Date: Sun, 24 Oct 2010 17:28:14 +0200
severity 601235 normal
retitle 601235 xinit clashes with displaymanagers when using persistency
thanks

On 10/24/2010 04:03 PM, David A. Bandel wrote:
> suggest changing to:
>
> if [ -s /etc/X11/default-display-manager ]
> then
> 	if [ ! "$(pidof $(cat /etc/X11/default-display-manager)" ]
> 		then
> 			startx
> 	fi
> 	else
> 			startx
> fi

that doesn't account for those display managers that are, unfortunately,
not using /etc/X11/default-display-manager, such as slim.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'normal' from 'important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 24 Oct 2010 15:30:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'xinit clashes with displaymanagers when using persistency' from 'live-config: 012-xinit script clash with display manager' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 24 Oct 2010 15:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#601235; Package live-config. (Sun, 24 Oct 2010 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David A. Bandel" <david@pananix.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Oct 2010 17:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 601235@bugs.debian.org (full text, mbox):

From: "David A. Bandel" <david@pananix.com>
To: daniel@debian.org, 601235@bugs.debian.org
Subject: Re: Bug#601235: live-config: 012-xinit script clash with display manager
Date: Sun, 24 Oct 2010 12:37:17 -0500
On Sun, Oct 24, 2010 at 10:28, Daniel Baumann <daniel@debian.org> wrote:
> severity 601235 normal
> retitle 601235 xinit clashes with displaymanagers when using persistency
> thanks
>
> On 10/24/2010 04:03 PM, David A. Bandel wrote:
>> suggest changing to:
>>
>> if [ -s /etc/X11/default-display-manager ]
>> then
>>       if [ ! "$(pidof $(cat /etc/X11/default-display-manager)" ]
>>               then
>>                       startx
>>       fi
>>       else
>>                       startx
>> fi
>
> that doesn't account for those display managers that are, unfortunately,
> not using /etc/X11/default-display-manager, such as slim.
>

OK.  Not one I was familiar with.  Any others?  Clearly, testing for
$DISPLAY on tty1 doesn't work when X is running on tty7.

Guess the test could just be for pidof /usr/bin/X

David-
-- 
Focus on the dream, not the competition.
            - Nemesis Air Racing Team motto
Visit my blog at: http://www.pananix.com/cgi-bin/blosxom




Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Thu, 28 Oct 2010 07:03:06 GMT) Full text and rfc822 format available.

Notification sent to "David A. Bandel" <david@pananix.com>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 07:03:06 GMT) Full text and rfc822 format available.

Message #24 received at 601235-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 601235-close@bugs.debian.org
Subject: Bug#601235: fixed in live-config 2.0.10-1
Date: Thu, 28 Oct 2010 07:02:23 +0000
Source: live-config
Source-Version: 2.0.10-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_2.0.10-1_all.deb
  to main/l/live-config/live-config-runit_2.0.10-1_all.deb
live-config-systemd_2.0.10-1_all.deb
  to main/l/live-config/live-config-systemd_2.0.10-1_all.deb
live-config-sysvinit_2.0.10-1_all.deb
  to main/l/live-config/live-config-sysvinit_2.0.10-1_all.deb
live-config-upstart_2.0.10-1_all.deb
  to main/l/live-config/live-config-upstart_2.0.10-1_all.deb
live-config_2.0.10-1.diff.gz
  to main/l/live-config/live-config_2.0.10-1.diff.gz
live-config_2.0.10-1.dsc
  to main/l/live-config/live-config_2.0.10-1.dsc
live-config_2.0.10-1_all.deb
  to main/l/live-config/live-config_2.0.10-1_all.deb
live-config_2.0.10.orig.tar.gz
  to main/l/live-config/live-config_2.0.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Oct 2010 21:20:45 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 2.0.10-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 601235
Changes: 
 live-config (2.0.10-1) unstable; urgency=medium
 .
   * Disabling xinit hack when using persistency and another display
     manager has been configured (Closes: #601235).
Checksums-Sha1: 
 0e598f5e2584f3381f5e28c99adc62a145b79ed0 1328 live-config_2.0.10-1.dsc
 5e1f6152922a49aae654cb532fff8de1edf7ee53 74975 live-config_2.0.10.orig.tar.gz
 447146fd9c741be006b1bb96531cad49e97aba98 6342 live-config_2.0.10-1.diff.gz
 4266dfda65701cefac6598a91c219dea9add75a6 39608 live-config_2.0.10-1_all.deb
 d384a2975334339a0e64280147a75b0820966681 6580 live-config-runit_2.0.10-1_all.deb
 fe3a421d4f0f71de23516c2871963b1c6f5e1531 6324 live-config-systemd_2.0.10-1_all.deb
 ce280bd248061ed7dabe4e23b1ce1b67fc113d5a 7318 live-config-sysvinit_2.0.10-1_all.deb
 38d71b3e16570120d8e8a571d7db3db237629b4d 6502 live-config-upstart_2.0.10-1_all.deb
Checksums-Sha256: 
 6e0924bad578cf4b4ee8580777e7481d7d38a4f40e6c50c5d9872f6fe627a588 1328 live-config_2.0.10-1.dsc
 12d5337341eef6de86351788243156c1063f3aa75cabe8505192a0a71caca6e6 74975 live-config_2.0.10.orig.tar.gz
 6766ad6beffff51c6d9ce00d2fb0dcf46c68eb59cc27369b7c71f105f13ccce5 6342 live-config_2.0.10-1.diff.gz
 78812f983889faf21bbcab3ff1719b5cb17c2767dba9161eec8a74ff511e2537 39608 live-config_2.0.10-1_all.deb
 a842355845ac2af57823173121c46b8e4d21ac6541c0c688a09406bf43d51488 6580 live-config-runit_2.0.10-1_all.deb
 66793a86499d44428e98090c76f865f470bd342c707c7688921011fa13d03ea8 6324 live-config-systemd_2.0.10-1_all.deb
 603db6cc933b8951a2145bf41e0d84f6123e09c569a618a52ab23eb9d238393b 7318 live-config-sysvinit_2.0.10-1_all.deb
 ebc158615e3e21046d0047d08ecfb4ce1754063cabde4dae0e10e5cde937ecc2 6502 live-config-upstart_2.0.10-1_all.deb
Files: 
 3af0fc811c141ee574ba32305c4453ee 1328 misc optional live-config_2.0.10-1.dsc
 21b6b057ce6ff1c8cbfec61bb0136640 74975 misc optional live-config_2.0.10.orig.tar.gz
 9f4baf24f5de5ccb5d1043131a24b278 6342 misc optional live-config_2.0.10-1.diff.gz
 1a4e7a99ef65b5ce08ec683b323a2168 39608 misc optional live-config_2.0.10-1_all.deb
 7df46f1de88885336313597c34493259 6580 misc optional live-config-runit_2.0.10-1_all.deb
 b9160c8fab9b03eafb32bafe46891850 6324 misc optional live-config-systemd_2.0.10-1_all.deb
 1d3460fbf97ba2f0970d384f0d019637 7318 misc optional live-config-sysvinit_2.0.10-1_all.deb
 dbdb347b8648fb1035d6fe5c79cc0e4b 6502 misc optional live-config-upstart_2.0.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzJHRUACgkQ+C5cwEsrK57aoACdEfMICjp0B1SfZQLv14Ae7UUt
DOYAoLNywaIZRUBt/FtgD56zcj1SkD1j
=XiVu
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 28 Oct 2010 08:36:07 GMT) Full text and rfc822 format available.

Notification sent to "David A. Bandel" <david@pananix.com>:
Bug acknowledged by developer. (Thu, 28 Oct 2010 08:36:07 GMT) Full text and rfc822 format available.

Message #29 received at 601235-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 601235-close@bugs.debian.org
Subject: Bug#601235: fixed in live-config 3.0~a11-1
Date: Thu, 28 Oct 2010 08:34:03 +0000
Source: live-config
Source-Version: 3.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_3.0~a11-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a11-1_all.deb
live-config-systemd_3.0~a11-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a11-1_all.deb
live-config-sysvinit_3.0~a11-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a11-1_all.deb
live-config-upstart_3.0~a11-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a11-1_all.deb
live-config_3.0~a11-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a11-1.debian.tar.gz
live-config_3.0~a11-1.dsc
  to main/l/live-config/live-config_3.0~a11-1.dsc
live-config_3.0~a11-1_all.deb
  to main/l/live-config/live-config_3.0~a11-1_all.deb
live-config_3.0~a11.orig.tar.gz
  to main/l/live-config/live-config_3.0~a11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Oct 2010 10:09:58 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a11-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 601235
Changes: 
 live-config (3.0~a11-1) experimental; urgency=low
 .
   * Disabling xinit hack when using persistency and another display
     manager has been configured (Closes: #601235).
   * Removing deep link to bug page in the manual, since we don't have
     stable references yet.
Checksums-Sha1: 
 6ab9cd6a127725fc096b23dc2eed397908fa4371 1355 live-config_3.0~a11-1.dsc
 afe8217efe3a9eafef0def9ae161108ad124cef9 73489 live-config_3.0~a11.orig.tar.gz
 752633c6035190c497827694e4d41a7f574489b5 7023 live-config_3.0~a11-1.debian.tar.gz
 06e1a8b862dcce8f6774c55bd34fc64f68444e92 38996 live-config_3.0~a11-1_all.deb
 4e871294b17128b03053ce7adfb8b4e9fc6cfa90 6706 live-config-runit_3.0~a11-1_all.deb
 97297d3f9ac6b5370457ef588a4e90127c529d73 6458 live-config-systemd_3.0~a11-1_all.deb
 6450468fdacd4a15c4216d26c70596f2b48d4634 7438 live-config-sysvinit_3.0~a11-1_all.deb
 33ff165ca99165902076735a5482ec965279dcec 6624 live-config-upstart_3.0~a11-1_all.deb
Checksums-Sha256: 
 c06dfaf5996dff64d4a37452ab53fa08e2c08311d18e2ebfa664f67225a1f579 1355 live-config_3.0~a11-1.dsc
 7338ca0573a88d51b6517581eed3852c4eff5d83dce3bcee560a6fa7333a192f 73489 live-config_3.0~a11.orig.tar.gz
 b8458cca5fb64add79bae4e2e4a7b99e81bd1b088f56ae0bf3748026a0cdd925 7023 live-config_3.0~a11-1.debian.tar.gz
 305a3988b98e0d88c2ef2189cf06d4670e254a3202b4ce7a133d5e43929ca82c 38996 live-config_3.0~a11-1_all.deb
 b0d4d7892ace055612ad8d57f8e8b26244abce301eba13d19b7953c3d2552a3e 6706 live-config-runit_3.0~a11-1_all.deb
 2b0cd6ff7d7d2cc39eb05f469735fa79c6faf7933b7be2d3e0251be673b4424d 6458 live-config-systemd_3.0~a11-1_all.deb
 4e71884075fb86fb2e39ddde381725869f75ff23281e01253cffafdac30bb666 7438 live-config-sysvinit_3.0~a11-1_all.deb
 892939a80b3962eb62c7ddb260bcbe0ab63423ceefd5b8b514a3b33559650129 6624 live-config-upstart_3.0~a11-1_all.deb
Files: 
 fc1e99ed8eb20997f69c69620330fae9 1355 misc optional live-config_3.0~a11-1.dsc
 f20a33713ed915a3183396b50f2e00d0 73489 misc optional live-config_3.0~a11.orig.tar.gz
 fc99fb4edbb3d36df6be9a7e54666160 7023 misc optional live-config_3.0~a11-1.debian.tar.gz
 a657e1f5d29bbaae12b12d5ec5e89f94 38996 misc optional live-config_3.0~a11-1_all.deb
 782ca53b2655e2a7c10fb2ba22a0384c 6706 misc optional live-config-runit_3.0~a11-1_all.deb
 bafc65ac1607c964ec86dc673f993fe2 6458 misc optional live-config-systemd_3.0~a11-1_all.deb
 6ace89c9890ec7d7322587c7654f1ed8 7438 misc optional live-config-sysvinit_3.0~a11-1_all.deb
 b3fc3147e310716b1400807dfaf1743f 6624 misc optional live-config-upstart_3.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzJMEcACgkQ+C5cwEsrK56+wACginsvjp1SI7PBzq86Ob6dg9Mh
XQAAn1y6HKMFP6NrWDyOgaNF8CpzFhFc
=vbjV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Dec 2010 07:32:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:47:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.